# FINDHOST.CGI

Section: User Commands (1)
Updated: Version 4.3.28: 17 Jan 2017
Index Return to Main Contents

## NAME

findhost.cgi - Xymon CGI script to find hosts

## SYNOPSIS

findhost.cgi?host=REGEX

## DESCRIPTION

findhost.cgi is invoked as a CGI script via the findhost.sh CGI wrapper.

findhost.cgi is passed a QUERY_STRING environment variable with the "host=REGEX" parameter. The REGEX is a Posix regular expression (see regex(7) ) describing the hostnames to look for. A trailing wildcard is assumed on all hostnames - e.g. requesting the hostname "www" will match any host whose name begins with "www".

It then produces a single web page, listing all of the hosts that matched any of the hostnames, with links to the Xymon webpages where they are located.

The output page lists hosts in the order they appear in the hosts.cfg(5) file.

A sample web page implementing the search facility is included with xymongen, you access it via the URL /xymon/help/findhost.html.

## OPTIONS

--env=FILENAME
  Loads the environment from FILENAME before executing the CGI.

## FILES

$XYMONHOME/web/findhost_header
  HTML header file for the generated web page

$XYMONHOME/web/findhost_footer
  HTML footer file for the generated web page

$XYMONHOME/web/findhost_form
  Query form displayed when findhost.cgi is called with no parameters.

## ENVIRONMENT VARIABLES

HOSTSCFG
  findhost.cgi uses the HOSTSCFG environment variable to find the hosts.cfg file listing all known hosts and their page locations.

XYMONHOME
  Used to locate the template files for the generated web pages.

## SEE ALSO

xymongen(1), hosts.cfg(5), xymonserver.cfg(5)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
ENVIRONMENT VARIABLES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 00:13:25 GMT, January 18, 2017